<?php
require_once ('../librerias/dompdf/autoload.inc.php');
use Dompdf\Dompdf;



$ch4 = curl_init('http://200.24.13.60/~program1/power-time-api/public/listarpermisosucursaldepartamento'); //create a new cURL resource
$payload4 = json_encode(array(
'id_departamento' => $_POST["txtDepartamento"],
'id_sucursal' => $_POST["txtSucursal"],
'fecha_inicio' => $_POST["txtFecha_inicio"],
'fecha_termino' => $_POST["txtFecha_termino"]
));
curl_setopt($ch4, CURLOPT_POSTFIELDS, $payload4);//attach encoded JSON string to the POST fields
curl_setopt($ch4, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
curl_setopt($ch4, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
$result4 = curl_exec($ch4); //execute the POST request
$array4 = json_decode($result4);

$permisoHTML = "";				
foreach ($array4[0] as $row) {
	$permisoHTML .= "<tr>";			
	$permisoHTML .= "<td>".STRTOUPPER($row->fecha_inicio) ."</td>";	
	$permisoHTML .= "<td>".STRTOUPPER($row->fecha_termino) ."</td>";	
	$permisoHTML .= "<td>".$row->total ."</td>";		
	$permisoHTML .= "<td>".STRTOUPPER($row->tipo) ."</td>";	
	$permisoHTML .= "<td>".STRTOUPPER($row->nombre ." ". $row->apellido) ."</td>";	
	$permisoHTML .= "<td>".STRTOUPPER($row->sucursal) ."</td>";
	$permisoHTML .= "<td>".STRTOUPPER($row->departamento) ."</td>";		
	$permisoHTML .= "<td>".STRTOUPPER($row->observacion) ."</td>";		
	$permisoHTML .= "</tr>";		
}
 		 

curl_close($ch4); 	
			
/***************************************************/
				
$html = '
<style>
body{
	font-size:10px;
}
h3{
	font-size:20px;
	display:inline;
}
h4{
	font-size:14px;
	display:inline;	
}
#folio{
	border: solid 3px #000000;
	text-align:center;
	padding: 10px;
}
.tbl-marcaje{
	text-align: center;
}
.tbl-marcaje th {
  color: #000000;
  background-color: #CCCCCC;
  border:solid 1px #000000;
}
.tbl-marcaje td {
	border:solid 1px #000000;
}
.tbl-marcaje2{
	text-align: left;
}
.tbl-marcaje2 th {
  color: #000000;
  background-color: #CCCCCC;
  border:solid 1px #000000;
}
.tbl-marcaje2 td {
	border:solid 1px #000000;
}	
</style>
<div>
	<img style="max-height:50px;" src="../img/002.png" />
</div> 
<table width="100%">
	<tr>
		<td width="70%"><b>COMPA&Ntilde;IA :</b> CORP MUNICIPAL PARA EL DESARROLLO SOCIAL</td>	
	    <td><b>PERIODO DESDE :</b> '. $_POST["txtFecha_inicio"] .'</td>			
	</tr>
	<tr>		
		<td width="70%"><b>RUT :</b> 70.983.600-5</td>	
	<td><b>PERIODO HASTA :</b> '. $_POST["txtFecha_termino"] .'</td>			
	</tr>	
</table><br /> 

		
<center><h3>Reporte Permisos Trabajador</h3></center>
<br /> 	

<h4>Listado de Permisos :</h4>
<table class="tbl-marcaje" width="100%">
	<tr>
		<th><b>FECHA INICIO </b></th>
		<th><b>FECHA TERMINO </b></th>	
		<th><b>DIAS </b></th>			
		<th><b>TIPO DE PERMISO </b></th>
		<th><b>TRABAJADOR </b></th>
		<th><b>SUCURSAL </b></th>
		<th><b>DEPARTAMENTO </b></th>		
		<th><b>OBSERVACION </b></th>			
	</tr>
	'.$permisoHTML.'		
		
</table>  


';

$pdf = new DOMPDF();
$pdf->set_paper("A4", "portrait");
$pdf->load_html(utf8_encode($html));
$pdf->render();
$pdf->stream("marcajes.pdf", array("Attachment" => false));
exit(0);

?>
